namespace SoapService.Models;

public static class ErrorCodes
{
    // Warnings (700-1000)
    public static class Warnings
    {
        public const int DatosPersonaRegularizar = 701;
        public const string DatosPersonaRegularizarMensaje = "Datos de Persona a regularizar";

        public const int DocumentoHurtadoExtraviado = 702;
        public const string DocumentoHurtadoExtraviadoMensaje = "Documento Denunciado como Hurtado/Extraviado el ../../....";

        public const int HojaInteriorHurtada = 703;
        public const string HojaInteriorHurtadaMensaje = "La Hoja interior Serie {0}, Número {1}, figura como hurtada";

        public const int DocumentoNoUltimo = 704;
        public const string DocumentoNoUltimoMensaje = "El documento presentado no es el último gestionado";

        public const int ValoresNoCoinciden = 705;
        public const string ValoresNoCoincidenMensaje = "Los valores del material no coinciden con el último documento digitalizado ingresado. Por favor, verifique los datos y digite nuevamente si corresponde.";
    }

    // Errores Leves (> 1000)
    public static class ErroresLeves
    {
        public const int PersonaInexistente = 1001;
        public const string PersonaInexistenteMensaje = "Persona inexistente";

        public const int LimiteConsultasExcedido = 1002;
        public const string LimiteConsultasExcedidoMensaje = "Límite de consultas excedido";

        public const int NumeroCedulaAnulado = 1003;
        public const string NumeroCedulaAnuladoMensaje = "Número de cédula anulado";
    }

    // Errores Graves (> 10000)
    public static class ErroresGraves
    {
        public const int ParametrosIncorrectos = 10001;
        public const string ParametrosIncorrectosMensaje = "Parámetros incorrectos";

        public const int ConsultaNoCompletada = 10002;
        public const string ConsultaNoCompletadaMensaje = "No se pudo completar la consulta";
    }
}
